#!/bin/sh
#   Script to handle camera import, inspired by gnome-volume-manager-gthumb

if [ $# -ne 1 ]; then
  exit 1
fi

MOUNT_POINT=$(hal-get-property --udi "$1" --key volume.mount_point)
if test -z "$MOUNT_POINT"; then
  picasa /StiDevice
else
  picasa "$MOUNT_POINT"
fi
